org.apache.ignite.transactions

## Enum TransactionConcurrency

- java.lang.Object
- - java.lang.Enum<TransactionConcurrency>
  - - org.apache.ignite.transactions.TransactionConcurrency

All Implemented Interfaces:
  Serializable, Comparable<TransactionConcurrency>

    public enum TransactionConcurrency
    extends Enum<TransactionConcurrency>

Transaction concurrency control. See `Transaction` for more information on transaction concurrency controls.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`OPTIMISTIC` Optimistic concurrency control.
`PESSIMISTIC` Pessimistic concurrency control.

### Method Summary

Methods
`static TransactionConcurrency` `fromOrdinal(int ord)` Efficiently gets enumerated value from its ordinal.
`static TransactionConcurrency` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TransactionConcurrency[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OPTIMISTIC

    public static final TransactionConcurrency OPTIMISTIC

Optimistic concurrency control.

#### PESSIMISTIC

    public static final TransactionConcurrency PESSIMISTIC

Pessimistic concurrency control.

### Method Detail

#### values

    public static TransactionConcurrency[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TransactionConcurrency c : TransactionConcurrency.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TransactionConcurrency valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static TransactionConcurrency fromOrdinal(int ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value or `null` if ordinal out of range.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017